Bug 53433 - Pointing to wrong location for dump binary
Summary: Pointing to wrong location for dump binary
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Raw Hide
Classification: Retired
Component: amanda (Show other bugs)
(Show other bugs)
Version: 1.0
Hardware: i386 Linux
medium
high
Target Milestone: ---
Assignee: Trond Eivind Glomsrxd
QA Contact: Aaron Brown
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-09-08 19:23 UTC by Andrew Meredith
Modified: 2007-04-18 16:36 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-09-08 21:00:03 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Andrew Meredith 2001-09-08 19:23:30 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.77 [en] (X11; U; Linux 2.4.4-laptop i686)

Description of problem:
The Raw Hide version of dump has the dump binary in /usr/sbin/dump now,
where it used to be in /sbin/dump. Amanda from the same distribution points
to the old location. The same goes for /sbin/restore.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Run amcheck
2.
3.
	

Actual Results:
ERROR: coliseum: [can not execute /sbin/dump: No such file or directory]
ERROR: coliseum: [can not execute /sbin/restore: No such file or directory]
ERROR: localhost: [can not execute /sbin/dump: No such file or directory]
ERROR: localhost: [can not execute /sbin/restore: No such file or
directory]


Additional info:

Under these conditions, Amanda will not back up data. This is a data
security issue.

Comment 1 Trond Eivind Glomsrxd 2001-09-08 20:43:26 UTC
It's not security (that's when others can gain control of resources or access to
data they should), but it needs fixing.

Comment 2 Andrew Meredith 2001-09-08 20:59:58 UTC
Depends if you use the formal definition of security as defined by (amongst
other things) the Red Hat RH253 Network and Security Course ;)

But yeah .. it doesn't let people in, but needs fixing.

Comment 3 Trond Eivind Glomsrxd 2001-09-08 21:24:56 UTC
Fixed in dump-0.4b22-5, which recreates these binaries

Comment 4 Trond Eivind Glomsrxd 2001-09-08 23:42:18 UTC
-6, actually.

Comment 5 Andrew Meredith 2001-09-09 14:27:07 UTC
Thanks


Note You need to log in before you can comment on or make changes to this bug.